//+------------------------------------------------------------------+
//|                                               Combo_Analyser.mq4 |
//|                                                        MarianFXx |
//|                                              MarianFXx@gmail.com |
//+------------------------------------------------------------------+
#property copyright "MarianFXx"
#property link      "MarianFXx@gmail.com, MarianFXx.COM"

#property indicator_chart_window
extern int scaleX=10,
           scaleY=20,
           offsetX=35,
           offsetY=20,
           corner=1,
           symbolCodeBuy=241, 
           symbolCodeSell=242, 
           symbolCodeNoSignal=190,
           =73,
           fontSize = 13;
extern color signalBuyColor=Gold,
           signalSellColor=MediumPurple,
           noSignalColor=WhiteSmoke,
           textColor=Gold;   
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//if(Year()>=2009) {Alert("   .  : Support@TraderWELL.COM");return(0);}
// 
      ObjectCreate("M5", OBJ_LABEL, 0, 0, 0, 0);
      ObjectSet("M5", OBJPROP_CORNER, corner);
      ObjectSet("M5", OBJPROP_XDISTANCE, scaleX);
      ObjectSet("M5", OBJPROP_YDISTANCE, offsetY - fontSize + 1);
      ObjectSetText("M5", "M5", fontSize, "Tahoma", textColor);

      ObjectCreate("M15",OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("M15",OBJPROP_CORNER,corner);
      ObjectSet("M15",OBJPROP_XDISTANCE,scaleX + offsetX - 8);
      ObjectSet("M15",OBJPROP_YDISTANCE,offsetY - fontSize + 1);
      ObjectSetText("M15","M15",fontSize,"Tahoma",textColor); 
      
      ObjectCreate("M30", OBJ_LABEL, 0, 0, 0, 0);
      ObjectSet("M30", OBJPROP_CORNER, corner);
      ObjectSet("M30", OBJPROP_XDISTANCE, scaleX + offsetX * 2 - 6);
      ObjectSet("M30", OBJPROP_YDISTANCE, offsetY - fontSize + 1);
      ObjectSetText("M30", "M30", fontSize, "Tahoma", textColor);
      
      ObjectCreate("H1",OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("H1",OBJPROP_CORNER,corner);
      ObjectSet("H1",OBJPROP_XDISTANCE,scaleX + offsetX * 3);
      ObjectSet("H1",OBJPROP_YDISTANCE,offsetY - fontSize + 1);
      ObjectSetText("H1","H1",fontSize,"Tahoma",textColor);
       
      ObjectCreate("D1",OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("D1",OBJPROP_CORNER,corner);
      ObjectSet("D1",OBJPROP_XDISTANCE,scaleX + offsetX * 4);
      ObjectSet("D1",OBJPROP_YDISTANCE,offsetY - fontSize + 1);
      ObjectSetText("D1","D1",fontSize,"Tahoma",textColor);
       
      ObjectCreate("W",OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("W",OBJPROP_CORNER,corner);
      ObjectSet("W",OBJPROP_XDISTANCE,scaleX + offsetX * 5);
      ObjectSet("W",OBJPROP_YDISTANCE,offsetY - fontSize + 1);
      ObjectSetText("W","W",fontSize,"Tahoma",textColor);
      
//     
      ObjectCreate("M5comb",OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("M5comb",OBJPROP_CORNER,corner);
      ObjectSet("M5comb",OBJPROP_XDISTANCE,scaleX + 2);
      ObjectSet("M5comb",OBJPROP_YDISTANCE,offsetY - fontSize + 1 + offsetY);
      ObjectSetText("M5comb",CharToStr(symbolCodeNoSignal),14,"Wingdings",noSignalColor);

      ObjectCreate("M15comb",OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("M15comb",OBJPROP_CORNER,corner);
      ObjectSet("M15comb",OBJPROP_XDISTANCE,scaleX + offsetX);
      ObjectSet("M15comb",OBJPROP_YDISTANCE,offsetY - fontSize + 1 + offsetY);
      ObjectSetText("M15comb",CharToStr(symbolCodeNoSignal),14,"Wingdings",noSignalColor);

      ObjectCreate("M30comb",OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("M30comb",OBJPROP_CORNER,corner);
      ObjectSet("M30comb",OBJPROP_XDISTANCE,scaleX + offsetX * 2);
      ObjectSet("M30comb",OBJPROP_YDISTANCE,offsetY - fontSize + 1 + offsetY);
      ObjectSetText("M30comb",CharToStr(symbolCodeNoSignal),14,"Wingdings",noSignalColor);
            
      ObjectCreate("H1comb",OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("H1comb",OBJPROP_CORNER,corner);
      ObjectSet("H1comb",OBJPROP_XDISTANCE,scaleX + offsetX * 3 + 2);
      ObjectSet("H1comb",OBJPROP_YDISTANCE,offsetY - fontSize + 1 + offsetY);
      ObjectSetText("H1comb",CharToStr(symbolCodeNoSignal),14,"Wingdings",noSignalColor);
       
      ObjectCreate("D1comb",OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("D1comb",OBJPROP_CORNER,corner);
      ObjectSet("D1comb",OBJPROP_XDISTANCE,scaleX + offsetX*4+2);
      ObjectSet("D1comb",OBJPROP_YDISTANCE,offsetY - fontSize + 1 + offsetY);
      ObjectSetText("D1comb",CharToStr(symbolCodeNoSignal),14,"Wingdings",noSignalColor);
       
      ObjectCreate("Wcomb",OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("Wcomb",OBJPROP_CORNER,corner);
      ObjectSet("Wcomb",OBJPROP_XDISTANCE,scaleX + offsetX*5);
      ObjectSet("Wcomb",OBJPROP_YDISTANCE,offsetY - fontSize + 1 + offsetY);
      ObjectSetText("Wcomb",CharToStr(symbolCodeNoSignal),14,"Wingdings",noSignalColor);
      //ObjectSetText("W",CharToStr(symbolCodeNoSignal),14,"Wingdings",noSignalColor);
      //ObjectSetText("W",CharToStr(symbolCodeBuy),14,"Tahoma",textColor);



   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("M5");
   ObjectDelete("M15");
   ObjectDelete("M30");
   ObjectDelete("H1");
   ObjectDelete("D1");
   ObjectDelete("W");
   ObjectDelete("M5comb");
   ObjectDelete("M15comb");
   ObjectDelete("M30comb");
   ObjectDelete("H1comb");
   ObjectDelete("D1comb");
   ObjectDelete("Wcomb");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//  if(Year()>=2009) {Alert("   .  : Support@TraderWELL.COM");return(0);}
 string ; 
 int Bar;
 double Pr;
 
//M5 
Bar = iBarShift(NULL,1,TimeCurrent()-PERIOD_M5*60, true);
if(Bar != -1)
{
   Pr = iClose(NULL, 1, Bar);
   if(Close[0]>Pr) {ObjectSetText("M5comb",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);}
   if(Close[0]<Pr) {ObjectSetText("M5comb",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);} 
   if(Close[0]==Pr) {ObjectSetText("M5comb",CharToStr(),fontSize,"Wingdings",noSignalColor);}
}
else{ObjectSetText("M5comb",CharToStr(symbolCodeNoSignal),fontSize,"Wingdings",noSignalColor);}

//m15
Bar=iBarShift(NULL,1,TimeCurrent()-14*60, true);
if(Bar!=-1){
Pr=iClose(NULL,1,Bar);
if(Close[0]>Pr) {ObjectSetText("M15comb",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);}
if(Close[0]<Pr) {ObjectSetText("M15comb",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);} 
if(Close[0]==Pr) {ObjectSetText("M15comb",CharToStr(),fontSize,"Wingdings",noSignalColor);}
}
else{ObjectSetText("M15comb",CharToStr(symbolCodeNoSignal),fontSize,"Wingdings",noSignalColor);}

//M30
Bar = iBarShift(NULL,1,TimeCurrent()-PERIOD_M30*60, true);
if(Bar != -1)
{
   Pr = iClose(NULL, 1, Bar);
   if(Close[0]>Pr) {ObjectSetText("M30comb",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);}
   if(Close[0]<Pr) {ObjectSetText("M30comb",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);} 
   if(Close[0]==Pr) {ObjectSetText("M30comb",CharToStr(),fontSize,"Wingdings",noSignalColor);}
}
else{ObjectSetText("M30comb",CharToStr(symbolCodeNoSignal),fontSize,"Wingdings",noSignalColor);}

//H1
Bar=iBarShift(NULL,1,TimeCurrent()-60*60, true);
if(Bar!=-1){
Pr=iClose(NULL,1,Bar);
if(Close[0]>Pr) {ObjectSetText("H1comb",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);}
if(Close[0]<Pr) {ObjectSetText("H1comb",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);} 
if(Close[0]==Pr) {ObjectSetText("H1comb",CharToStr(),fontSize,"Wingdings",noSignalColor);}}
else{ObjectSetText("H1comb",CharToStr(symbolCodeNoSignal),fontSize,"Wingdings",noSignalColor);}


//1

Bar=iBarShift(NULL,1,TimeCurrent()-PERIOD_D1*60, true);
if(TimeDayOfWeek(TimeCurrent()-PERIOD_D1*60)==0) {Bar=iBarShift(NULL,1,TimeCurrent()-3*PERIOD_D1*60, true);}
if(TimeDayOfWeek(TimeCurrent()-PERIOD_D1*60)==6) {Bar=iBarShift(NULL,1,TimeCurrent()-2*PERIOD_D1*60, true);}

if(Bar!=-1){
Pr=iClose(NULL,1,Bar);
if(Close[0]>Pr) {ObjectSetText("D1comb",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);}
if(Close[0]<Pr) {ObjectSetText("D1comb",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);} 
if(Close[0]==Pr) {ObjectSetText("D1comb",CharToStr(),fontSize,"Wingdings",noSignalColor);}}
else{ObjectSetText("D1comb",CharToStr(symbolCodeNoSignal),fontSize,"Wingdings",noSignalColor);}


//W1
Bar=iBarShift(NULL,0,TimeCurrent()-PERIOD_W1*60, true);

if(Bar!=-1){
Pr=Close[Bar];
if(Close[0]>Pr) {ObjectSetText("Wcomb",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);}
if(Close[0]<Pr) {ObjectSetText("Wcomb",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);} 
if(Close[0]==Pr) {ObjectSetText("Wcomb",CharToStr(),fontSize,"Wingdings",noSignalColor);}
}
else{ObjectSetText("Wcomb",CharToStr(symbolCodeNoSignal),fontSize,"Wingdings",noSignalColor);}

//Alert(Pr);
//=Day()+
//datetime



   return(0);
  }
//+------------------------------------------------------------------+